boundry.
RegionSydney, Australia
Documentation/Retry a webhook delivery
POST/webhooks/{webhookId}/deliveries/{deliveryId}/retry

Retry a webhook delivery

Authentication

Bearer authentication is required for this operation.

Path parameters

NameTypeDescription
webhookIdrequiredstring

Webhook identifier.

deliveryIdrequiredstring

Webhook delivery identifier.

Request examples

request.sh
bash
curl --request POST 'https://api.au.boundry.dev/webhooks/string/deliveries/string/retry' \
+  -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+

202 response

Queued redelivery.

FieldTypeDescription
attempt_countrequiredinteger

Number of completed attempts.

completed_atrequiredstring (date-time) | null | null

Timestamp when delivery completed, or null.

Option 1string (date-time)

Timestamp when delivery completed.

Option 2null | null

One permitted response shape.

created_atrequiredstring (date-time)

Timestamp when delivery was created. Example: "2026-08-14T12:00:00.000Z".

errorrequiredstring | null | null

Most recent error, or null.

Option 1string

Most recent error.

Option 2null | null

One permitted response shape.

event_idrequiredstring

Stable event identifier. Example: "msg_01j0example".

event_typerequiredstring

Delivered event type.

idrequiredstring

Webhook delivery identifier. Example: "msg_01j0example".

next_attempt_atrequiredstring (date-time) | null | null

Timestamp of the next scheduled attempt, or null.

Option 1string (date-time)

Timestamp of the next scheduled attempt.

Option 2null | null

One permitted response shape.

objectrequiredstring

Resource type discriminator. Values: "webhook_delivery".

response_coderequiredinteger | null | null

Most recent response status, or null.

Option 1integer

One permitted response shape.

Option 2null | null

One permitted response shape.

statusrequiredstring

Delivery status. Values: "pending", "delivered", "failed".

updated_atrequiredstring (date-time)

Timestamp when delivery was last updated. Example: "2026-08-14T12:00:00.000Z".

webhook_idrequiredstring

Target webhook identifier. Example: "msg_01j0example".

response.jsonExample response
application/json
{
  "deliveryId": "whd_01j0example",
  "webhookId": "wh_01j0example"
}

401 response

Invalid API key.

FieldTypeDescription
errorsarray

Detailed validation issues. Absent only for the historical 401 API-key envelope.

coderequiredstring

Zod validation issue code. Example: "invalid_format".

messagerequiredstring

Human-readable validation failure. Example: "Invalid email address".

pathrequiredstring

Dot-separated location of the invalid value. Example: "from".

messagerequiredstring

Human-readable error message. Example: "Request validation failed.".

namerequiredstring

Machine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".

response.jsonExample response
application/json
{
  "deliveryId": "whd_01j0example",
  "webhookId": "wh_01j0example"
}

404 response

Webhook, delivery, or event not found.

FieldTypeDescription
errorsarray

Detailed validation issues. Absent only for the historical 401 API-key envelope.

coderequiredstring

Zod validation issue code. Example: "invalid_format".

messagerequiredstring

Human-readable validation failure. Example: "Invalid email address".

pathrequiredstring

Dot-separated location of the invalid value. Example: "from".

messagerequiredstring

Human-readable error message. Example: "Request validation failed.".

namerequiredstring

Machine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".

response.jsonExample response
application/json
{
  "deliveryId": "whd_01j0example",
  "webhookId": "wh_01j0example"
}

422 response

Request validation failed.

FieldTypeDescription
errorsarray

Detailed validation issues. Absent only for the historical 401 API-key envelope.

coderequiredstring

Zod validation issue code. Example: "invalid_format".

messagerequiredstring

Human-readable validation failure. Example: "Invalid email address".

pathrequiredstring

Dot-separated location of the invalid value. Example: "from".

messagerequiredstring

Human-readable error message. Example: "Request validation failed.".

namerequiredstring

Machine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".

response.jsonExample response
application/json
{
  "deliveryId": "whd_01j0example",
  "webhookId": "wh_01j0example"
}